package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.AlbumPartner;

public interface IAlbumPartnerDao {
	
	public AlbumPartner add(AlbumPartner partner);
	public AlbumPartner findByID(long id);
	public boolean delByID(long id);
	public void modify(AlbumPartner partner);
	public AlbumPartner findByAIDAndUid(long aid,long uid);
	public List<AlbumPartner> findByUid(long uid);
	public List<AlbumPartner> queryByAid(long aid);
	public long countByAlbumID(long id);

}
